<?php
ob_start();
define('MTOP', 1);
require_once ('system/connect.php');
require_once ('system/core.php');
require_once ('system/function.php');
reg();
$mod = isset($_GET['mod']) ? (string)$_GET['mod'] : '';
switch($act){
default:
$title = 'Панель управления';
require_once ('head.php');
$platforms = mysql_num_rows(mysql_query("SELECT * FROM `sait` WHERE `id_user` = '".$user_data['id']."'"));
echo '<div class="title3">Панель управления</div><div class="title"><a href="/office.php?act=platforms">Площадки</a> ['.$platforms.'|'.$set['max_platforms'].']</div>
<div class="title"><a href="/office.php?act=settings">Настройки аккаунта</a></div>
<div class="title"><a href="/office.php?act=secure">Изменить пароль</a></div>
<div class="title"><a href="/office.php?act=code">Код счетчика</a></div>';
break;

case 'platforms':
$title = 'Площадки';
require_once ('head.php');
echo '<div class="title3">Площадки | <small>Максимум площадок: <strong>'.$set['max_platforms'].'</strong></small></div>';
$platform = mysql_query("SELECT * FROM `sait` WHERE `id_user` = '".$user_data['id']."'");
$platforms = mysql_num_rows($platform);
if($platforms == 0){
echo '<div class="title"><center>У вас нет площадок</center></div>';
echo '<div class="title"><a href="/office.php?act=add_platform">Добавить площадку</a></div>';
}
else{
$total=intval(($platforms-1)/$page_platforms)+1;
$page=abs(intval($_GET['page']));
if(empty($page) OR $page < 0) $page = 1;
if($page > $total) $page = $total;
$past=intval($platforms/$page_platforms);
$start=$page*$page_platforms-$page_platforms;
$platform = mysql_query("SELECT * FROM `sait` WHERE `id_user` = '".$user_data['id']."' ORDER BY `id` DESC LIMIT ".$start.",".$page_platforms."");
while($row = mysql_fetch_array($platform))
{
$status = $row['status'] == 1 ? '<font color="green">Проверена</font>' : '<font color="red">На модерации</font>';
$start++;
echo '<div class="title"><a href="http://'.$set['home'].'/out/'.$row['id'].'.php"><b>'.$row['name'].'</b></a> (<b><a href="http://'.$set['home'].'/infos.php?id='.$row['id'].'">'.$row['hosts'].'/'.$row['hits'].'</a></b>) [ID: '.$row['id'].' | '.$status.']<hr>';
if(mb_strlen($row['about']) > 80){
$text = mb_substr($row['about'], 0, 80, 'utf-8');
echo ''.$text.'..<hr>';
}
else {
echo ''.$row['about'].'<hr>';
}
echo '<a href="/office.php?act=edit_platform&id='.$row['id'].'">Редактировать</a> | <a href="/office.php?act=del_platform&id='.$row['id'].'">Удалить</a> | <a href="/office.php?act=code&id='.$row['id'].'">Код счетчика</a> | <a href="/infos.php?id='.$row['id'].'">Статистика</a></div>';
}
navigation($platforms,$page_platforms,$page,'office.php?act=platforms&sort='.$sort.'&',$total);
echo '<div class="title"><a class="link" href="/office.php?act=add_platform">Добавить площадку</a></div>';
}

break;
case 'add_platform':
$title = 'Добавление площадки';
require_once ('head.php');
echo '<div class="title3">Добавление площадки</div>';
$platform = mysql_query("SELECT * FROM `sait` WHERE `id_user` = '".$user_data['id']."'");
$platforms = mysql_num_rows($platform);
if($platforms >= $set['max_platforms']){
echo '<div class="title"><center>Достигнут лимит площадок</center></div>';
}
else{
$dobavsait .= '<div class="title">
<form action="/office.php?act=add_platform&mod=2" method="post">Название сайта:<br/>
<input type="text"  class="input" name="name" maxlength="40" value="" /><br/>
Адрес сайта (без http:// и т.п):<br/>
<input type="text"  class="input" name="url" maxlength="55" value="" /><br/>
Описание сайта:<br/>
<textarea name="about" cols="38" rows="8" maxlength="210"></textarea></br>
Категория:<br/>
<select name="cat">';
$cats = mysql_query("SELECT * FROM `cat` ORDER BY `id` ASC");
if(mysql_num_rows($cats) > 0) while($cat = mysql_fetch_assoc($cats)) $dobavsait .= '<option value="'.$cat['id'].'">'.$cat['name'].'</option>';
$dobavsait .= '</select></div>
<div class="title">Выберите счётчик:<br/>
<input type="radio" name="image" checked="checked" value="1"> <img src="/images/big/1.gif" alt=""><br/>
<input type="radio" name="image" value="2"> <img src="/images/big/2.gif" alt=""><br/>
<input type="radio" name="image" value="3"> <img src="/images/big/3.gif" alt=""><br/>
<input type="radio" name="image" value="4"> <img src="/images/big/4.gif" alt=""><br/>
<input type="radio" name="image" value="5"> <img src="/images/big/5.gif" alt=""><br/>
<input type="radio" name="image" value="6"> <img src="/images/big/6.gif" alt=""><br/>
</div>
<div class="title">Выберите счётчик:<br/>
<input type="radio" name="image_s" checked="checked" value="1"> <img src="/images/small/1.gif" alt=""><br/>
<input type="radio" name="image_s" value="2"> <img src="/images/small/2.gif" alt=""><br/>
<input type="radio" name="image_s" value="3"> <img src="/images/small/3.gif" alt=""><br/>
<input type="radio" name="image_s" value="4"> <img src="/images/small/4.gif" alt=""><br/>
<input type="radio" name="image_s" value="5"> <img src="/images/small/5.gif" alt=""><br/>
<input type="radio" name="image_s" value="6"> <img src="/images/small/6.gif" alt=""><br/>
</div>
<div class="title">
<input name="ok" type="submit" value="Добавить"/></form></div>';
if(!isset($_POST['ok'])) echo $dobavsait;
else{
$platform = mysql_query("SELECT * FROM `sait` WHERE `id_user` = '".$user_data['id']."'");
$platforms_count = mysql_num_rows($platform);
$url = filter($_POST['url']);
$url = str_replace("http://","",$url);
$url = str_replace("https://","",$url);
$name = filter($_POST['name']);
$about = filter($_POST['about']);
$cat = intval($_POST['cat']);
$image = filter($_POST['image']);
$image_s = filter($_POST['image_s']);
$error = '';
$isset_cat = mysql_num_rows(mysql_query("SELECT `id` FROM `cat` WHERE `id` = '".$cat."'"));
if(empty($url) OR empty($name) OR empty($about) OR empty($cat) OR empty($image) OR empty($image_s)) $error .= '<div class="error">Незаполнено одно или несколько полей</div>';
else{
if($image < 1 OR $image > 6) $error .= '<div class="error">Нет такого счетчика</div>';
if($image_s < 1 OR $image_s > 6) $error .= '<div class="error">Нет такого счетчика</div>';
if($isset_cat == 0)
$error .= '<div class="error">Нет такой категории</div>';
if(mb_strlen($about) > 200 OR mb_strlen($about) < 10)
$error .= '<div class="error">Длина описания должна быть не короче 10 и не длиннее 200 символов</div>';
if(mb_strlen($url) > 555 OR mb_strlen($url) < 3)
$error .= '<div class="error">Длина адреса должна быть не короче 3 и не длиннее 50 символов</div>';
if (mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `url` = '".$url."' LIMIT 1")) != 0)
$error .= '<div class="error">Такой сайт уже есть в базе</div>';
if(mb_strlen($name) > 35 OR mb_strlen($name) < 3)
$error .= '<div class="error">Длина названия сайта должна быть не короче 3 и не длиннее 35 символов</div>';
}
if(!empty($error)){
echo $error;
echo $dobavsait;
}
else{
$insert_platform = mysql_query("INSERT INTO `sait` SET `id_user` = '".$user_data['id']."', `name` = '".$name."', `about` = '".$about."', `category` = '".$cat."', `url` = '".$url."', `image` = '".$image."', `image_s` = '".$image_s."',`status` = '".$set['moderacia']."', `time_reg` = '".time()."'");
if($insert_platform){
$plosh = mysql_fetch_array(mysql_query("SELECT * FROM `sait` WHERE `url` = '".$url."'"));
echo '<div class="title">';
$idplosh = $plosh['id'];
echo 'Код счетчика для главной страницы:<br/>';
echo ''.htmlspecialchars('<a').' href="http://'.$set['home'].'/in/'.$idplosh.'.php">'.htmlspecialchars('<img').' src="http://'.$set['home'].'/count/big/'.$idplosh.'.gif" alt="'.$set['home'].'"/>'.htmlspecialchars('</a>').'<hr>';
echo 'Код счётчика для остальных страниц:<br/>';
echo ''.htmlspecialchars('<a').' href="http://'.$set['home'].'/in/'.$idplosh.'.php">'.htmlspecialchars('<img').' src="http://'.$set['home'].'/count/small/'.$idplosh.'.gif" alt="'.$set['home'].'"/>'.htmlspecialchars('</a>').'</div>';
}
else{
echo '<div class="error">Площадка не добавлена</div>';
echo $dobavsait;
}
}
}
}
break;

case 'edit_platform':
$title = 'Редактирование площадки';
require_once ('head.php');
echo '<div class="title3">Редактирование площадки</div>';
$platform = mysql_query("SELECT * FROM `sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' LIMIT 1");
$platform_count = mysql_num_rows($platform);
$user_platform = mysql_fetch_array($platform);
$redsait = '';
$redsait .= '<div class="title">
<form action="office.php?act=edit_platform&mod=2&id='.$id.'" method="post">
Название сайта:<br/>
<input type="text"  class="input" name="name" maxlength="40" value="'.$user_platform['name'].'" /><br/>
Адрес сайта(без http:// и т.п):<br/>
<input type="text"  class="input" name="url" maxlength="55" value="'.$user_platform['url'].'" /><br/>
Описание сайта:<br/>
<textarea name="about" cols="38" rows="8" maxlength="210">'.$user_platform['about'].'</textarea><br/>
Категория:<br/>
<select name="cat">';
$cats = mysql_query("SELECT * FROM `cat` ORDER BY `id` ASC");
if(mysql_num_rows($cats) > 0){
while($cat = mysql_fetch_assoc($cats)){
$selected = ($user_platform['category'] == $cat['id']) ? ' selected="selected"' : '';
$redsait .= '<option value="'.$cat['id'].'"'.$selected.'>'.$cat['name'].'</option>';
}
$redsait .= '</select></div>';
$redsait .= '<div class="title">Выберите счётчик:<br/>';
$redsait .= '';
for ($big=0; $big++<6;){
if ($user_platform['image'] == $big)
$redsait .= '<input type="radio" name="image" value="'.$big.'" checked="checked"> <img src="/images/big/'.$big.'.gif" alt=""><br/>';
else $redsait .= '<input type="radio" name="image" value="'.$big.'"> <img src="/images/big/'.$big.'.gif" alt=""><br/>';
}
$redsait .= '</div><div class="title">Выберите счётчик:<br/>';
for ($small=0; $small++<6;){
if ($user_platform['image_s'] == $small)
$redsait .= '<input type="radio" name="image_s" value="'.$small.'" checked="checked"> <img src="/images/small/'.$small.'.gif" alt=""><br/>';
else $redsait .= '<input type="radio" name="image_s" value="'.$small.'"> <img src="/images/small/'.$small.'.gif" alt=""><br/>';
}
$redsait .= '</div><div class="title"><input name="ok" type="submit" value="Изменить" /></div></form>';
}
else{
$redsait .= '<div class="error">Данной площадки не существует</div>';
$redsait .= '';
}

if(!isset($_POST['ok'])) echo $redsait;
else{
$cat = intval($_POST['cat']);
$image = filter($_POST['image']);
$image_s = filter($_POST['image_s']);
$name = filter($_POST['name']);
$url = filter($_POST['url']);
$url = str_replace("http://","",$url);
$url = str_replace("https://","",$url);
$about = filter($_POST['about']);
$platform_isset = mysql_num_rows(mysql_query("SELECT * FROM `sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' LIMIT 1"));
$error = '';
$isset_cat = mysql_num_rows(mysql_query("SELECT `id` FROM `cat` WHERE `id` = '".$cat."'"));
if(empty($cat) OR empty($image) OR empty($image_s) OR empty($name) OR empty($url) OR empty($about))
$error .= '<div class="error">Незаполнено одно или несколько полей</div>';
else{
if($image < 1 OR $image > 6) $error .= '<div class="error">Нет такого счетчика</div>';
if($image_s < 1 OR $image_s > 6) $error .= '<div class="error">Нет такого счетчика</div>';
if($isset_cat == 0)
$error .= '<div class="error">Нет такой категории</div>';
if($platform_isset == 0)
$error .= '<div class="error">У вас нет такой площадки</div>';
if(mb_strlen($about) > 200 OR mb_strlen($about) < 10)
$error .= '<div class="error">Длина описания должна быть не короче 10 и не длиннее 200 символов</div>';
if(mb_strlen($url) > 50 OR mb_strlen($url) < 3)
$error .= '<div class="error">Длина адреса должна быть не короче 3 и не длиннее 50 символов</div>';
if(mb_strlen($name) > 35 OR mb_strlen($name) < 3)
$error .= '<div class="error">Длина названия сайта должна быть не короче 3 и не длиннее 35 символов</div>';
}
if(!empty($error)){
echo $error;
echo $redsait;
}
else{
$update_platform = mysql_query("UPDATE `sait` SET `category` = '".$cat."', `image` = '".$image."', `image_s` = '".$image_s."',`name` = '".$name."', `url` = '".$url."', `about` = '".$about."', `status` = '0' WHERE `id` = '".$id."'");
if($update_platform){
echo '<div class="title"><center>Площадка успешно отредактирована</center></div>';
}
else {
echo '<div class="error">Площадка не отредактирована</div>';
echo $redsait;
}
}
}
break;

case 'del_platform':
$title = 'Удаление площадки';
require_once ('head.php');
echo '<div class="title3">Удаление площадки</div>';
$platform_isset = mysql_query("SELECT * FROM `sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' LIMIT 1");
$platform_isset_c = mysql_num_rows($platform_isset);
if($platform_isset_c > 0){
$platform = mysql_fetch_array($platform_isset );
if(!isset($_GET['ok'])){
echo '<div class="title">Вы действительно хотите удалить площадку <b>'.$platform['name'].'</b>?<hr>';
echo '<center><a href="/office.php?act=del_platform&id='.$id.'&ok">Да</a> | <a href="/office.php?act=platforms">Нет</a></center></div>';
}
else{
$del_hosts = mysql_query("DELETE FROM `hosts` WHERE `id_sait` = '".$id."'");
$del_hits = mysql_query("DELETE FROM `hits` WHERE `id_sait` = '".$id."'");
$del_in = mysql_query("DELETE FROM `in` WHERE `id_sait` = '".$id."'");
$del_out = mysql_query("DELETE FROM `out` WHERE `id_sait` = '".$id."'");
$del_online = mysql_query("DELETE FROM `sait_online` WHERE `id_sait` = '".$id."'");
$del_platform = mysql_query("DELETE FROM `sait` WHERE `id` = '".$id."'");
if($del_hosts AND $del_hits AND $del_in AND $del_out AND  $del_online AND $del_platform){
echo '<div class="title"><center>Площадка не удалена</center></div>';
}
else{
echo '<div class="title"><center>Площадка успешно удалена</center></div>';
}
}
}
else{
echo '<div class="title"><center>У вас нет такой площадки</center></div>';
}
break;

case 'code':
$title = 'Код счетчика';
require_once ('head.php');
if($id == null) $idplosh = 'ID_ПЛОЩАДКИ'; else $idplosh = $id;
echo '<div class="text">Чтобы установить счётчик на сайте, нужно поставить следующие html коды</div>';
echo '<div class="text">На главной странице:</div>';
echo '<div class="text">'.htmlspecialchars('<a').' href="http://'.$set['home'].'/in/'.$idplosh.'.php">'.htmlspecialchars('<img').' src="http://'.$set['home'].'/count/big/'.$idplosh.'.gif" alt="'.$set['home'].'"/>'.htmlspecialchars('</a>').'</div>';
echo '<div class="text">На остальных страницах:</div>';
echo '<div class="text">'.htmlspecialchars('<a').' href="http://'.$set['home'].'/in/'.$idplosh.'.php">'.htmlspecialchars('<img').' src="http://'.$set['home'].'/count/small/'.$idplosh.'.gif" alt="'.$set['home'].'"/>'.htmlspecialchars('</a>').'</div>';
if($id == null) echo '<div class="text">Где ID_ПЛОЩАДКИ - это ID площадки , счётчик которой Вы хотите поставить</div>';
echo '<a class="link" href="/office.php">Личный кабинет</a>';
break;

case 'settings':
$title = 'Настройки аккаунта';
require_once ('head.php');
echo '<div class="title3">Настройки аккаунта</div>';
$nastroiki = '<div class="title">
<form action="office.php?act=settings" method="post" name="form">
Площадок на страницу в кабинете:<br/>
<input type="text" name="page_platforms" maxlength="3" class="do_button" value="'.$user_data['page_platforms'].'"/><br/>
Элементов на страницу в статистике:<br/>
<input type="text" name="pages" maxlength="3" class="do_button" value="'.$user_data['pages'].'"/><br/>
Сайтов на страницу в категории:<br/>
<input type="text" name="page_sait" maxlength="3" class="do_button" value="'.$user_data['page_sait'].'"/><br/>
Сайтов на страницу TOP-100:<br/>
<input type="text" name="page_top" maxlength="3" class="do_button" value="'.$user_data['page_top'].'"/><br/>
<input name="ok" type="submit" value="Сохранить" /></div></form>';
if(!isset($_POST['ok'])) echo $nastroiki;
else{
$page_platforms = abs(intval($_POST['page_platforms']));
$pages = abs(intval($_POST['pages']));
$page_sait = abs(intval($_POST['page_sait']));
$page_top = abs(intval($_POST['page_top']));
$error = '';
if(empty($page_platforms) or empty($pages) or empty($page_sait) or empty($page_top))
$error .= '<div class="error">Незаполнено одно или несколько полей</div>';
else{
if(mb_strlen($pages) > 2)
$error .= '<div class="error">Поле "Элементов на страницу в статистике" содержит больше 2 символов</div>';
if(mb_strlen($page_sait) > 2)
$error .= '<div class="error">Поле "Сайтов на страницу в категории" содержит больше 2 символов</div>';
if(mb_strlen($page_platforms) > 2)
$error .= '<div class="error">Поле "Площадок на страницу" содержит больше 2 символов</div>';
if(mb_strlen($page_top) > 2)
$error .= '<div class="error">Поле "Сайтов на страницу TOP-100" содержит больше 2 символов</div>';
}
if(!empty($error)){
echo $error;
echo $nastroiki;
}
else{
$up = mysql_query("UPDATE `users` SET `page_platforms` = '".$page_platforms."', `pages` = '".$pages."', `page_sait` = '".$page_sait."', `page_top` = '".$page_top."' WHERE `id` = '".$user_data['id']."'");
if($up) echo '<div class="title"><center>Настройки успешно изменены</center></div>';
else {
echo '<div class="title"><center>Настройки не изменены</center></div>';
echo $nastroiki;
}
}
}
break;

case 'secure':
$title = 'Смена пароля';
require_once ('head.php');
echo '<div class="title3">Смена пароля</div>';
$secure = '<div class="title">
<form action="office.php?act=secure" method="POST">
Текущий пароль:<br/>
<input type="text" class="input" name="password" maxlength="30" value="" size="20" maxlength="50" /><br/>
Новый пароль:<br/>
<input type="password" class="input" name="newpass" maxlength="30" value="" size="20" maxlength="50" /><br/>
Подтвердите новый пароль:<br/>
<input type="password" class="input" name="newpass2" maxlength="30" value="" size="20" maxlength="50" /><br/>
<input name="ok" type="submit" value="Сохранить" /></div></form>';
if($_POST['ok'] != null){
if(empty($_POST['password']) OR empty($_POST['newpass']) OR empty($_POST['newpass2']))
$error = '<div class="error">Незаполнено одно или несколько полей</div>';
else{
$password = filter($_POST['password']);
$user_isset = mysql_query("SELECT * FROM `users` WHERE `login` = '".$user_data["login"]."' AND `password` = '".$password."'");
if(mysql_num_rows($user_isset) <= 0)
$error.='<div class="error">Текущий пароль введен неверно</div>';
if($_POST['newpass'] != $_POST['newpass2'])
$error.='<div class="error">Пароли несовпадают</div>';
elseif(mb_strlen($_POST['newpass']) > 30 OR mb_strlen($_POST['newpass']) < 5)
$error.='<div class="error">Длина нового пароля должна быть не короче 5 и не длинее 30 символов</div>';
}
if(isset($error)){
echo $error;
echo $secure;
}
else{
$newpass = filter($_POST['newpass']);
$smena = mysql_query("UPDATE `users` SET `login` = '".$user_data["login"]."', `password` = '".$newpass."', `mail` = '".$user_data["mail"]."', `page_sait` = '".$user_data['page_sait']."', `page_platforms` = '".$user_data['page_platforms']."', `page_top` = '".$user_data['page_top']."', `pages` = '".$user_data['pages']."', `level` = '".$user_data['level']."', `time_reg` = '".$user_data['time_reg']."' WHERE `id` = '".$user_data['id']."'");
if($smena){
SetCookie('login',$user_data['login'],time()+3600*24*365, '/');
SetCookie('password',$newpass,time()+3600*24*365, '/');
echo '<div class="title"><center>Пароль успешно изменен</center></div>';
$subject = "Изменение пароля";
$body = "Вы, ".$user_data["login"]." успешно изменили пароль! <br/><br/>
Ваш новый пароль: ".$newpass."<br/><br/>
С уважением, администрация топ-рейтинга http://".$set['home'];
$headers = "From: ".$set['mail']." \n";
$headers .= "Content-Type: text/html; charset=utf-8\n";
mail($user_data['mail'], $subject, $body, $headers);
}
else {
echo '<div class="error">Пароль не сменен</div>';
echo $secure;
}
}
}
else echo $secure;
break;

}

require_once ('foot.php');
?>